Package com.avaya.clientservices.agent

## Enum AgentWorkMode

- java.lang.Object
- - java.lang.Enum<AgentWorkMode>
  - - com.avaya.clientservices.agent.AgentWorkMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AgentWorkMode>`

      public enum AgentWorkMode
      extends java.lang.Enum<AgentWorkMode>

  All supported agent work modes for contact center Elite Agent.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AFTER_CALL_WORK` | The agent is engaged in work associated with a call, but not on a call.
    `AUTO_IN` | The auto-in mode indicates that the agent is available for an Automatic Call Distribution (ACD) call.
    `AUXILIARY` | The agent is involved in non ACD work, is on break, in a meeting, or at lunch.
    `MANUAL_IN` | The manual-in mode indicates that the agent is available for an Automatic Call Distribution (ACD) call.
    `NONE` | Default state, no work mode.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AgentWorkMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AgentWorkMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final AgentWorkMode NONE

      Default state, no work mode.

    - #### AUTO_IN

          public static final AgentWorkMode AUTO_IN

      The auto-in mode indicates that the agent is available for an Automatic Call Distribution (ACD) call. When the call ends, the agent is immediately available for another ACD call based on the administered call distribution method. The agent does not have to press any button to receive another ACD call.

    - #### MANUAL_IN

          public static final AgentWorkMode MANUAL_IN

      The manual-in mode indicates that the agent is available for an Automatic Call Distribution (ACD) call. When the call ends, the agent automatically enters the AFTER_CALL_WORK mode. While in AFTER_CALL_WORK mode, the agent is unavailable to receive ACD calls. When AFTER_CALL_WORK ends, the agent presses manual-in to receive another ACD call.

    - #### AFTER_CALL_WORK

          public static final AgentWorkMode AFTER_CALL_WORK

      The agent is engaged in work associated with a call, but not on a call. The agent is unavailable to receive an Automatic Call Distribution (ACD) calls but can receive non-ACD calls.

    - #### AUXILIARY

          public static final AgentWorkMode AUXILIARY

      The agent is involved in non ACD work, is on break, in a meeting, or at lunch. To receive ACD calls, the agent presses the manual-in or auto-in button.

  - ### Method Detail

    - #### values

          public static AgentWorkMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AgentWorkMode c : AgentWorkMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AgentWorkMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null